Arch: Should I pin linux-api-headers to match the pinned linux version?

March 1, 2015 632 views

I'm running Arch x86-64 on my droplet. I just noticed that pacman -Syyu was updating linux-api-headers to version 3.18.5-1-x86_64. Digital Ocean requires that the kernel remain pinned at (their build of?) linux-3.8.4-1.

Am I right in thinking that the sanitized userland kernel headers should be pinned at the same version as the Linux kernel version the droplet is running?

1 Answer

No. linux-api-headers is part of the toolchain (along with gcc, glibc and binutils).

Have another answer? Share your knowledge.